<div class="d-flex justify-content-center">
  <div class="col-8">
    <form name="editForm" role="form" novalidate (ngSubmit)="save()" [formGroup]="editForm">
      <h2 id="jhi-evaluacion-heading" data-cy="EvaluacionCreateUpdateHeading">Create or edit a Evaluacion</h2>

      <div>
        <jhi-alert-error></jhi-alert-error>

        <div class="row mb-3" [hidden]="editForm.get('id')!.value == null">
          <label class="form-label" for="field_id">ID</label>
          <input type="number" class="form-control" name="id" id="field_id" data-cy="id" formControlName="id" [readonly]="true" />
        </div>

        <div class="row mb-3">
          <label class="form-label" for="field_fecha">Fecha</label>
          <div class="input-group">
            <input
              id="field_fecha"
              data-cy="fecha"
              type="text"
              class="form-control"
              name="fecha"
              ngbDatepicker
              #fechaDp="ngbDatepicker"
              formControlName="fecha"
            />
            <button type="button" class="btn btn-secondary" (click)="fechaDp.toggle()"><fa-icon icon="calendar-alt"></fa-icon></button>
          </div>
          <div *ngIf="editForm.get('fecha')!.invalid && (editForm.get('fecha')!.dirty || editForm.get('fecha')!.touched)">
            <small class="form-text text-danger" *ngIf="editForm.get('fecha')?.errors?.required"> This field is required. </small>
          </div>
        </div>
      </div>

      <div>
        <button type="button" id="cancel-save" data-cy="entityCreateCancelButton" class="btn btn-secondary" (click)="previousState()">
          <fa-icon icon="ban"></fa-icon>&nbsp;<span>Cancel</span>
        </button>

        <button
          type="submit"
          id="save-entity"
          data-cy="entityCreateSaveButton"
          [disabled]="editForm.invalid || isSaving"
          class="btn btn-primary"
        >
          <fa-icon icon="save"></fa-icon>&nbsp;<span>Save</span>
        </button>
      </div>
    </form>
  </div>
</div>
